gnutls_dh_params_export_raw(3)

NAME
gnutls_dh_params_export_raw - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_dh_params_export_raw(gnutls_dh_params_t params, gnutls_datum_t * prime, gnutls_datum_t * generator, unsigned int * bits);

ARGUMENTS

gnutls_dh_params_t params
    Holds the DH parameters

gnutls_datum_t * prime
    will hold the new prime

gnutls_datum_t * generator
    will hold the new generator

unsigned int * bits
    if non null will hold the secret key's number of bits

DESCRIPTION
This function will export the pair of prime and generator for use in the Diffie-Hellman key exchange. The new parameters will be allocated using gnutls_malloc() and will be stored in the appropriate datum.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error code is returned.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/